org.apache.fop.image.loader.batik

## Class ImageLoaderFactorySVG

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory
  - - org.apache.fop.image.loader.batik.ImageLoaderFactorySVG

All Implemented Interfaces:
  org.apache.xmlgraphics.image.loader.spi.ImageLoaderFactory

    public class ImageLoaderFactorySVG
    extends org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory

Factory class for the ImageLoader for SVG.

### Constructor Summary

Constructors
Constructor and Description
`ImageLoaderFactorySVG()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.xmlgraphics.image.loader.ImageFlavor[]` `getSupportedFlavors(String mime)`
`String[]` `getSupportedMIMETypes()`
`boolean` `isAvailable()`
`org.apache.xmlgraphics.image.loader.spi.ImageLoader` `newImageLoader(org.apache.xmlgraphics.image.loader.ImageFlavor targetFlavor)`

### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory

`getUsagePenalty, isSupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageLoaderFactorySVG

    public ImageLoaderFactorySVG()

### Method Detail

#### getSupportedMIMETypes

    public String[] getSupportedMIMETypes()

#### getSupportedFlavors

    public org.apache.xmlgraphics.image.loader.ImageFlavor[] getSupportedFlavors(String mime)

#### newImageLoader

    public org.apache.xmlgraphics.image.loader.spi.ImageLoader newImageLoader(org.apache.xmlgraphics.image.loader.ImageFlavor targetFlavor)

#### isAvailable

    public boolean isAvailable()